Log in or register to post comments

Android 4.0 support

December 30, 2011 - 8:06am #1

Hi,

My smartphone recently got updated to Android 4.0
and I haven't been able to get the sample apps running since.

I'm trying to run the FrameMarkers sample,
but I'm only getting a black screen where the camera should be.
I think tracking isn't working either.
I also can't enable the camera's flash light.

Is Android 4.0 not supported?
How can I make this work again?

Re: Android 4.0 support

February 29, 2012 - 6:20am #10

Just to answer my own question.

I was linking to the wrong libQCAR.so when building native code.
For anyone else with this problem take a look at your Android.mk file and make sure all your paths are correct.

Re: Android 4.0 support

February 29, 2012 - 3:18am #9

I have changed the classpath variable but for some reason I'm still getting 1.5.4 instead of 1.5.9.
I've even renamed the 1.5.4 directory so nothing should be pointing to it.

The steps I have done:
Downloaded and installed the SDK directory (Linux)
Changed the classpath variable to pint to 1.5.9
Checked project build path: "QCAR_SDK_ROOT/build/java/QCAR/QCAR.jar"
ndk-build -B to rebuild libraries
Cleaned project
Run

Still showing 1.5.4

Any thoughts?
Or any hidden connections to 1.5.4 you know about that I can change?

Re: Android 4.0 support

February 28, 2012 - 6:37pm #8

It doesn't look like you've successfully upgraded:

I/AR ( 4973): QCAR SDK version 1.5.4

That's still the beta version. Have you pointed the Eclipse QCAR_SDK_ROOT variable to the new SDK? Rebuild the .so libraries using "ndk-build -B" to force a rebuild. Then clean and rebuild the Eclipse project.

- Kim

Re: Android 4.0 support

February 28, 2012 - 3:27am #7

I'm actually getting a crash in ICS.
The same code works on Android 3.2 but not on Android 4.0.3.
Any suggestions?

ICS crash dump can be found here: http://pastebin.com/BjjXSnqA

This is just from updating to 1.5 from 1.5 beta without any code changes.

Re: Android 4.0 support

February 22, 2012 - 6:30pm #6

Support for ICS is here as of today :) Check out the new 1.5 release!

- Kim

Re: Android 4.0 support

February 22, 2012 - 5:14am #5

Hi, I have the same problem. I'm using a Samsung Galaxy Nexus and bought it just for developing AR-applications with QCAR. Is support for Android 4.0 far away?

Re: Android 4.0 support

January 3, 2012 - 3:29pm #4

Hello,

Can you let us know what device you have? You should be able to download an official gingerbread ROM, copy it to your SD card, and restore your phone using the restore menu at startup. You can do this without rooting your phone. I'm sorry for the inconvenience.

Thank you,

-Peter

Re: Android 4.0 support

December 30, 2011 - 2:42pm #3
ksiva wrote:

Android 4.0 is not currently supported. We are working on it, but in the meanwhile I suggest not upgrading your devices to ICS if you are actively developing with QCAR. I don't suppose downgrading to Gingerbread is an option?

- Kim

Unfortunately, no.
I would have to root my device and void my warranty for that.

Re: Android 4.0 support

December 30, 2011 - 2:30pm #2

Android 4.0 is not currently supported. We are working on it, but in the meanwhile I suggest not upgrading your devices to ICS if you are actively developing with QCAR. I don't suppose downgrading to Gingerbread is an option?

- Kim

Log in or register to post comments